pmlindex(1)

NAME
pmlindex - constructs an HTML index of PhotoML files

SYNOPSIS
pmlindex [-h] [-y] [-s size] (([-e] [-m]) | [-d]) [-p dst-path] xmlfile [xmlfile] ...

DESCRIPTION
pmlindex is a shell script that builds an indexed set of HTML descriptions of the PhotoML files provided as command line arguments. If an HTML descriptions exists, it is only reconstructed if it has an older time stamp than the corresponding PhotoML file.

OPTIONS
pmlindex accepts the following options:

-h  Display usage information.

-y  Group table entries by year.

-s size
    Set the primary font size in points.

-e  Include a column providing exposure details when these are present in the PhotoML data.

-m  Include location map when coordinates are specified in the PhotoML data.

-d  Generate detailed output rather than the default summary output.

-p dst-path
    Specify the destination path for the HTML files.

AUTHOR
Brendt Wohlberg <photoml@wohlberg.net>

COPYRIGHT
Copyright © 2003-2011 Brendt Wohlberg <photoml@wohlberg.net>

This program is free software; you can redistribute it and/or modify it under the terms of version 2 of the GNU General Public License <http://www.gnu.org/licenses/gpl-2.0.txt>.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

SEE ALSO
pmlexpand(1), pmltrans(1)